#21 SSL exception

closed
Rogan Dawes
5
2008-01-24
2007-08-01
d3concept
No

Hi

I actually use webscarab-installer-20051017-2127.jar
with a jre : jre1.5.0_06 on a linux redhat 9
At now i have a problem with webscarab. This is the trace of the problem :
Could you help me ?
If i upgrade to version webscarab-installer-20070504-1631.jar, do i
have this problem also ?
Do i use the good version of java ?
Thanks for your help

14:48:56 Listener-10.255.255.12:9999-5(ConnectionHandler.run): ConnectionHandler
got an error : javax.net.ssl.SSLException: Connection has been shutdown: javax.
net.ssl.SSLHandshakeException: Remote host closed connection during handshake
javax.net.ssl.SSLException: Connection has been shutdown: javax.net.ssl.SSLHands
hakeException: Remote host closed connection during handshake
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.checkEOF(Unknown Source)
at com.sun.net.ssl.internal.ssl.AppInputStream.read(Unknown Source)
at com.sun.net.ssl.internal.ssl.AppInputStream.read(Unknown Source)
at org.owasp.webscarab.model.Message.readLine(Unknown Source)
at org.owasp.webscarab.model.Request.read(Unknown Source)
at org.owasp.webscarab.plugin.proxy.ConnectionHandler.run(Unknown Source
)
at java.lang.Thread.run(Unknown Source)
Caused by: javax.net.ssl.SSLHandshakeException: Remote host closed connection du
ring handshake
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.readRecord(Unknown Source)
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.waitForClose(Unknown Sourc
e)
at com.sun.net.ssl.internal.ssl.HandshakeOutStream.flush(Unknown Source)
at com.sun.net.ssl.internal.ssl.Handshaker.sendChangeCipherSpec(Unknown
Source)
at com.sun.net.ssl.internal.ssl.ServerHandshaker.sendChangeCipherAndFini
sh(Unknown Source)
at com.sun.net.ssl.internal.ssl.ServerHandshaker.clientFinished(Unknown
Source)
at com.sun.net.ssl.internal.ssl.ServerHandshaker.processMessage(Unknown
Source)
at com.sun.net.ssl.internal.ssl.Handshaker.processLoop(Unknown Source)
at com.sun.net.ssl.internal.ssl.Handshaker.process_record(Unknown Source
)
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.readRecord(Unknown Source)
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.performInitialHandshake(Un
known Source)
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.startHandshake(Unknown Sou
rce)
at com.sun.net.ssl.internal.ssl.SSLSocketImpl.getSession(Unknown Source)
at org.owasp.webscarab.plugin.proxy.ConnectionHandler.negotiateSSL(Unkno
wn Source)
... 2 more
Caused by: java.io.EOFException: SSL peer shut down incorrectly
at com.sun.net.ssl.internal.ssl.InputRecord.read(Unknown Source)
... 16 more
14:48:57 Listener-10.255.255.12:9999-6(URLFetcher.fetchResponse): https://ptunia
.3p.fr.cly:443/ptu/presentation/commun/html/lanceurApplicationTest.html : 200 OK
14:48:57 Listener-10.255.255.12:9999-6(URLFetcher.fetchResponse): https://ptunia
.3p.fr.cly:443/ptu/presentation/commun/js/lanceurApplicationTest.js : 200 OK
14:48:57 Listener-10.255.255.12:9999-6(URLFetcher.fetchResponse): https://ptunia
.3p.fr.cly:443/ptu/presentation/commun/sag/js/ImplementationPrises.js : 200 OK
14:48:57 Listener-10.255.255.12:9999-6(URLFetcher.fetchResponse): https://ptunia
.3p.fr.cly:443/fwk/js/fwkDomaine.js : 200 OK

Thanks for advance
Bests regards
Michel

Discussion

  • Rogan Dawes
    Rogan Dawes
    2007-08-01

    Logged In: YES
    user_id=438260
    Originator: NO

    Please try the latest version and let me know if the problem persists. There should be no issue with the version of java that you are using.

     
  • d3concept
    d3concept
    2007-08-05

    Logged In: YES
    user_id=1699455
    Originator: YES

    Hi Rogan

    The bugs is resolved with the latest version : webscarab-installer-20070504-1631.jar
    Thanks you for your help !
    bests regards
    Michel

     
  • d3concept
    d3concept
    2007-08-05

    Logged In: YES
    user_id=1699455
    Originator: YES

    Rogan

    You can closed this tracking !
    thanks
    Michel

     
  • Rogan Dawes
    Rogan Dawes
    2008-01-24

    • status: open --> closed